#
# spec file for package gnome-desktop-sharp2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define __find_provides env sh -c 'filelist=($(cat)) && { printf "%{s}\\n" "${filelist[@]}" | %{_libexecdir}/rpm/find-provides && printf "%{s}\\n" "${filelist[@]}" | %{_bindir}/mono-find-provides ; } | sort | uniq'
%define __find_requires env sh -c 'filelist=($(cat)) && { printf "%{s}\\n" "${filelist[@]}" | %{_libexecdir}/rpm/find-requires && printf "%{s}\\n" "${filelist[@]}" | %{_bindir}/mono-find-requires ; } | sort | uniq'
Name:           gnome-desktop-sharp2
Version:        2.26.0
Release:        lp151.2.3
Summary:        Mono bindings for libgnome-desktop
License:        LGPL-2.1
Group:          Development/Languages/Mono
Url:            https://github.com/mono/gnome-desktop-sharp
Source:         gnome-desktop-sharp-%{version}.tar.bz2
Patch:          gnome-desktop-version-11.3.patch
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gnome-sharp-2.0)
BuildRequires:  pkgconfig(gtksourceview-2.0)
BuildRequires:  pkgconfig(libgnomeprint-2.2)
BuildRequires:  pkgconfig(libgnomeprintui-2.2)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  pkgconfig(vte)
Requires:       libgnome-desktop-2-17
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mono bindings for libgnome-desktop

%package devel
Summary:        Development files for %{name}
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       %{name} = %{version}
Requires:       gnome-print-sharp = %{version}
Requires:       gtksourceview2-sharp = %{version}
Requires:       rsvg2-sharp = %{version}
Requires:       vte016-sharp = %{version}
Requires:       wnck-sharp = %{version}
Provides:       gnome-print-sharp-devel = %{version}
Provides:       gtksourceview2-sharp-devel = %{version}
Provides:       rsvg2-sharp-devel = %{version}
Provides:       vte016-sharp-devel = %{version}
Provides:       wnck-sharp-devel = %{version}

%description devel
Development files (.pc) for %{name}.

%package -n gtksourceview2-sharp
Summary:        Mono bindings for gtksourceview2
License:        LGPL-2.1
Group:          Development/Languages/Mono
Provides:       libgtksourceview2sharpglue-2.so = %{version}
Requires:       libgtksourceview2sharpglue-2.so = %{version}
Provides:       gtksourceview-sharp2 = %{version}
Obsoletes:      gtksourceview-sharp2 < %{version}

%description -n gtksourceview2-sharp
Mono bindings for gtksourceview2

%package -n rsvg2-sharp
Summary:        Mono bindings for rsvg
License:        LGPL-2.1
Group:          Development/Languages/Mono

%description -n rsvg2-sharp
This package contains Mono bindings for librsvg.

%package -n wnck-sharp
Summary:        Mono bindings for wnck
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       libwnck-1-22
Provides:       libwncksharpglue-2.so = %{version}
Requires:       libwncksharpglue-2.so = %{version}

%description -n wnck-sharp
Mono bindings for wnck

%package -n vte016-sharp
Summary:        Mono bindings for vte
License:        GPL-2.0 and LGPL-2.1
Group:          Development/Languages/Mono
Provides:       libvtesharpglue-2.so = %{version}
Requires:       libvtesharpglue-2.so = %{version}

%description -n vte016-sharp
This package contains Mono bindings for vte.

%package -n gnome-print-sharp
Summary:        Mono bindings for gnome-print
License:        LGPL-2.1
Group:          Development/Languages/Mono

%description -n gnome-print-sharp
Mono bindings for gnome-print

%prep
%setup -q -n gnome-desktop-sharp-%{version}
%patch

%build
# FIXME: windowmanager.c:*: warning: dereferencing type-punned pointer will break strict-aliasing rules
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --libexecdir=%{_prefix}/lib --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.*a" -delete

%post -n gtksourceview2-sharp -p /sbin/ldconfig

%postun -n gtksourceview2-sharp -p /sbin/ldconfig

%post -n wnck-sharp -p /sbin/ldconfig

%postun -n wnck-sharp -p /sbin/ldconfig

%post -n vte016-sharp -p /sbin/ldconfig

%postun -n vte016-sharp -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libexecdir}/mono/gac/*gnomedesktop-sharp
%{_libexecdir}/mono/gnomedesktop-sharp-2.20
%dir %{_datadir}/gnomedesktop-sharp
%{_datadir}/gnomedesktop-sharp/2.20

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/gnome-desktop-sharp-2.0.pc
%{_libdir}/pkgconfig/gtksourceview2-sharp.pc
%{_libdir}/pkgconfig/rsvg2-sharp-2.0.pc
%{_libdir}/pkgconfig/vte-sharp-0.16.pc
%{_libdir}/pkgconfig/wnck-sharp-1.0.pc
%{_libdir}/pkgconfig/gnome-print-sharp-2.18.pc

%files -n gtksourceview2-sharp
%defattr(-,root,root)
%{_libexecdir}/mono/gac/*gtksourceview2-sharp
%{_libexecdir}/mono/gtksourceview2-sharp-2.0
%dir %{_datadir}/gtksourceview2-sharp
%{_datadir}/gtksourceview2-sharp/2.0
%{_libdir}/libgtksourceview2sharpglue-2.so

%files -n rsvg2-sharp
%defattr(-,root,root)
%{_libexecdir}/mono/gac/*rsvg2-sharp
%{_libexecdir}/mono/rsvg2-sharp-2.0
%dir %{_datadir}/rsvg2-sharp
%{_datadir}/rsvg2-sharp/2.0

%files -n vte016-sharp
%defattr(-, root, root)
%{_libdir}/libvtesharpglue-2.so
%{_libexecdir}/mono/gac/*vte-sharp
%{_libexecdir}/mono/vte-sharp-0.16
%dir %{_datadir}/vte-sharp
%{_datadir}/vte-sharp/0.16

%files -n wnck-sharp
%defattr(-, root, root)
%{_libexecdir}/mono/gac/*wnck-sharp
%{_libexecdir}/mono/wnck-sharp-2.20
%dir %{_datadir}/wnck-sharp
%{_datadir}/wnck-sharp/2.20
%{_libdir}/libwncksharpglue-2.so

%files -n gnome-print-sharp
%defattr(-, root, root)
%{_libexecdir}/mono/gac/gnome-print-sharp
%{_libexecdir}/mono/gnome-print-sharp-2.18
%dir %{_datadir}/gnome-print-sharp
%{_datadir}/gnome-print-sharp/2.18

%changelog
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix typo in Group tag.
* Fri Feb 12 2016 i@marguerite.su
- according to github.com/mono/gtksourceview2-sharp,
  gtksourceview-sharp2 was absorbed by gnome-desktop-sharp2.
  so gtksourceview2-sharp sub-package should Provide it.
- RPM group changed to Development/Languages/Mono
* Fri Jan  8 2016 i@marguerite.su
- remove _use_internal_dependency_generator (boo#960925)
* Mon Dec 28 2015 i@marguerite.su
- revert the rename of gtksourceview2-sharp, vte016-sharp, wnck-sharp,
  I did the rename because rpmlint showed errors and recommended
  those names, but it was wrong.
- the provides/requires on .so files are actually not useless,
  but the workaround to prevent those errors.
- fix typos of Requires to Provides on gnome-desktop-sharp2-devel
* Sat Dec 26 2015 i@marguerite.su
- rename gtksourceview2-sharp to libgtksourceview2sharpglue-2
- rename wnck-sharp to libwncksharpglue-2
- rename vte016-sharp to libvtesharpglue-2
- add missing post/postun fields to them to fix tumbleweed builds
- remove env_options rpm macro, which is not used by opensuse
- update upstream url: https://github.com/mono/gnome-desktop-sharp
- remove useless provides/requires on .so files
- remove non-existent sub-package: gtkhtml314-sharp
- define _use_internal_dependency_generator to 0, to make
  custom __find_requires/provides actually work
- split gnome-desktop-sharp2-devel to contain all the .pc files
* Tue Mar  5 2013 coolo@suse.com
- update license to new format
* Sat Jun 30 2012 zaitor@opensuse.org
- Clean up spec for acceptance in openSUSE Factory.
- Drop %%if's for building for other distros. and therefore drop
  sources gnome-desktop-sharp-2.20.1.tar.bz2 and
  gnome-desktop-sharp-2.24.0.tar.bz2, and lots of distro and
  version specific buildrequires.
- Drop nautilusburn-sharp subpackage, not built anymore.
- Drop gtkhtml314-sharp subpackage, not built anymore.
- Drop gnome-panel-sharp subpackage, not built anymore.
- Exchange BuildRequires: gnome-sharp2, gtk-sharp2-gapi, mono-devel
  and monodoc-core to BuildRequires: pkgconfig (gnome-sharp-2.0,
  gapi-2.0, mono and monodoc).
* Mon Feb 13 2012 nmarques@opensuse.org
- Add requires for openSUSE >= 1210 (bnc#738011):
  - 'Requires: libwnck-1-22' to wnck-sharp
  - 'Requires: 'libgnome-desktop-2-17' to gnome-desktop-sharp2
* Wed Sep 28 2011 coolo@suse.com
- make it build for factory in ignoring dropped stuff
* Wed Sep  8 2010 vuntz@opensuse.org
- Use pkgconfig() style BuildRequires on 11.3 and later:
  + old-style: gnome-desktop-devel, gtkhtml2-devel,
    gtksourceview-devel, libgnomeprintui-devel, librsvg-devel,
    libwnck-devel, vte-devel.
  + new-style: gnome-desktop-2.0, gtksourceview-2.0,
    libgnomeprint-2.2, libgnomeprintui-2.2, libgtkhtml-3.14,
    libpanelapplet-2.0, librsvg-2.0, libwnck-1.0, vte.
- This will make it easier to switch to GNOME 3 libraries in
  openSUSE, since they can cause changes in package names.
* Mon Apr 12 2010 aj@suse.de
- Fix libgnome-desktop version number for 11.3.
* Fri Apr  9 2010 aj@suse.de
- Disable nautilusburn for openSUSE 11.3
* Mon Aug 31 2009 ajorgensen@novell.com
- Update to 2.26.0
  * Fix so version of native library dependency
* Tue Aug 11 2009 ajorgensen@novell.com
- ppc64 is native now (don't use biarchcompat)
* Wed Feb 11 2009 ro@suse.de
- add libgnomeprintui-devel to buildrequires to fix build
* Wed Sep 10 2008 ajorgensen@novell.com
- Re-add 2.20.1 tarball as I need it to build on 11.0
* Mon Sep  8 2008 ajorgensen@novell.com
- Update to 2.24.0
  * Update to GNOME 2.24 API
  * Add gnome-print-sharp.dll and gnome-panel-sharp.dll assemblies
    along with .pcs to detect their availability
* Wed Apr  9 2008 wberrier@novell.com
- Remove gnome-desktop-sharp2-complete package
- Rename gnomedesktop2-sharp to gnome-desktop-sharp2 so we have a
  sub-package named the same as the .spec file
- Don't call autoreconf since we don't have any patches
* Sat Jan 12 2008 mkestner@novell.com
- Initial package of gnome-desktop-sharp2
